Tryton - Issues

 

Issue2867

Title 'NoneType' object has no attribute 'set_completion'
Priority bug Status resolved
Superseder Nosy List ced, pilou
Type crash Components tryton
Assigned To ced Keywords
Reviews

Created on 2012-10-31.18:50:56 by pilou, last changed by ced.

Messages
msg13924 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2013-08-21.18:34:31
Fixed with rev 790ef8fa1ed1
msg13903 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2013-08-11.19:52:55
Please test patch at review1023002
msg11901 (view) Author: [hidden] (pilou) (Tryton committer) Date: 2012-10-31.18:50:55
I try to close the tryton client, a popup appears asking login and password (the
session was expired), I close the popup, I try to close the tryton client again
and the following exception appears:

ERROR:tryton.common.common:  File "tryton-2.6.0/tryton/tryton/gui/main.py", line
1104, in sig_close
    if not self.sig_logout(widget):

  File "tryton-2.6.0/tryton/tryton/gui/main.py", line 995, in sig_logout
    if not self.close_pages():

  File "tryton-2.6.0/tryton/tryton/gui/main.py", line 979, in close_pages
    if not wid.sig_close():

  File "tryton-2.6.0/tryton/tryton/gui/window/form.py", line 509, in sig_close
    return self.modified_save()

  File "tryton-2.6.0/tryton/tryton/gui/window/form.py", line 502, in modified_save
    return self.sig_reload(test_modified=False)

  File "tryton-2.6.0/tryton/tryton/gui/window/form.py", line 403, in sig_reload
    self.screen.display(set_cursor=set_cursor)

  File "tryton-2.6.0/tryton/tryton/gui/window/view_form/screen/screen.py", line
694, in display
    view.display()

  File "tryton-2.6.0/tryton/tryton/gui/window/view_form/view/form.py", line 137,
in display
    widget.display(record, field)

  File
"tryton-2.6.0/tryton/tryton/gui/window/view_form/view/form_gtk/selection.py",
line 160, in display
    self.update_selection(record)

  File
"tryton-2.6.0/tryton/tryton/gui/window/view_form/view/form_gtk/selection.py",
line 75, in update_selection
    self.set_popdown(selection)

  File
"tryton-2.6.0/tryton/tryton/gui/window/view_form/view/form_gtk/selection.py",
line 97, in set_popdown
    self.entry.child.set_completion(completion)
History
Date User Action Args
2013-08-21 18:34:32cedsetstatus: testing -> resolved
messages: + msg13924
2013-08-11 19:52:56cedsetstatus: unread -> testing
assignedto: ced
component: + tryton
messages: + msg13903
nosy: + ced
2012-10-31 18:50:56piloucreate

Showing 10 items. Show all history (warning: this could be VERY long)